# $Revision: 1.56.2.3 $, $Date: 2007/03/12 01:19:06 $
Summary:	Dictionary database server
Summary(pl):	Serwer bazy sownikw
Name:		dictd
Version:	1.10.4
Release:	3
License:	GPL
Group:		Networking/Daemons
Source0:	http://dl.sourceforge.net/dict/%{name}-%{version}.tar.gz
# Source0-md5:	1c0b7583e6fa25fd27fca5fca9ddb91f
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Patch0:		%{name}-opt.patch
Patch1:		%{name}-umask.patch
URL:		http://www.dict.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	judy-devel
BuildRequires:	libdbi-devel
BuildRequires:	perl-base
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	zlib-devel
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags_ia32	 -fomit-frame-pointer

%description
Server for the Dictionary Server Protocol (DICT), a TCP transaction
based query/response protocol that allows a client to access
dictionary definitions from a set of natural language dictionary
databases.

%description -l pl
Serwer dla Dictionary Server Protocol (DICT), bazujcego na TCP
protokou zapyta i odpowiedzi umoliwiajcego klientom na dostp do
definicji sownikowych z zestawu baz danych.

%package devel
Summary:	Package for dictd plugins development
Summary(pl):	Pakiet programistyczny do tworzenia wtyczek dictd
Group:		Development/Libraries
# doesn't require base

%description devel
Package for dictd plugins development.

%description devel -l pl
Pakiet programistyczny do tworzenia wtyczek dictd.

%package plugin-dbi
Summary:	DBI plygin for dictd server
Summary(pl):	Wtyczka DBI dla serwera dictd
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description plugin-dbi
DBI plygin for dictd server.

%description plugin-dbi -l pl
Wtyczka DBI dla serwera dictd.

%package plugin-judy
Summary:	Judy plygin for dictd server
Summary(pl):	Wtyczka Judy dla serwera dictd
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description plugin-judy
Judy plygin for dictd server.

%description plugin-judy -l pl
Wtyczka Judy dla serwera dictd.

%package -n dict
Summary:	DICT Protocol Client
Summary(pl):	Klient protokou DICT
Group:		Applications/Networking

%description -n dict
Client for the Dictionary Server Protocol (DICT), a TCP transaction
based query/response protocol that provides access to dictionary
definitions from a set of natural language dictionary databases.

%description -n dict -l pl
Klient dla Dictionary Server Protocol (DICT), bazujcego na TCP
protokou zapyta i odpowiedzi umoliwiajcego klientom na dostp do
definicji sownikowych z zestawu baz danych.

%package -n dictfmt
Summary:	dictfmt utility to convert databases in various formats into dict format
Summary(pl):	Narzdzie dictfmt do konwersji baz w rnych formatach na format dict
Group:		Applications/Text
Obsoletes:	dict-fmt

%description -n dictfmt
dictfmt utility is designed to convert databases in various formats
into working databases and indexes for the DICT server.
This package also includes other tools for formating databases:
dictfmt_{index2suffix,index2word,plugin,virtual} and dictunformat.

%description -n dictfmt -l pl
Narzdzie dictfmt suy do konwertowania baz danych w rnych
formatach na dziaajce bazy danych i indeksy dla serwera sownikw
DICT.
Ten pakiet zawiera take inne narzdzia do formatowania baz:
dictfmt_{index2suffix,index2word,plugin,virtual} and dictunformat.

%package -n dictzip
Summary:	Compress (or expand) files, allowing random access
Summary(pl):	Kompresja (i dekompresja) plikw pozwalajca na swobodny dostp
Group:		Applications/Archiving

%description -n dictzip
dictzip compresses files using the gzip(1) algorithm (LZ77) in a
manner which is completely compatible with the gzip file format. An
extension to the gzip file format (Extra Field, described in 2.3.1.1
of RFC 1952) allows extra data to be stored in the header of a
compressed file. Dictd, the DICT protocol dictionary server will make
use of this data to perform pseudo-random access on the file.

%description -n dictzip -l pl
dictzip kompresuje pliki korzystajc z zawartego w gzip(1) algorytmu
(LZ77) ktry jest cakowicie kompatybilny z formatem plikw gzip.
Rozszerzenie do formatu plikw gzip (pole dodatkowe, opisane w 2.3.1.1
RFC 1952) pozwalajcego na dodatkowe dane zapisane w nagwku
skompresowanego pliku. Dictd, serwer protokou DICT wykorzystuje te
dane do pseudo-swobodnego dostpu do pliku.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

# broken test if >1 plugins
%{__perl} -pi -e 's/test \$\(PLUGINS\)/test "\$\(PLUGINS\)"/' Makefile.in

%build
cp -f /usr/share/automake/config.* .
%{__aclocal}
%{__autoconf}
cd libmaa
cp -f /usr/share/automake/config.* .
%{__aclocal}
%{__autoconf}
cd ..
CFLAGS="%{rpmcflags} -DUID_NOBODY=99 -DGID_NOBODY=99"
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{rc.d/init.d,sysconfig,%{name}},%{_datadir}/%{name}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

echo "server localhost" > dict.conf
echo -e "access {\n\tallow localhost\n\tdeny *\n}\n" > %{name}-main.conf

install dict.conf $RPM_BUILD_ROOT%{_sysconfdir}
install dictd-main.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
:> $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.conf
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}

mv -f doc/security.doc security.txt

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}
%service dictd restart

%preun
if [ "$1" = "0" ]; then
	%service dictd stop
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%doc ANNOUNCE NEWS README* TODO examples/dictd* security.txt
%ghost %{_sysconfdir}/%{name}.conf
%dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/%{name}-main.conf
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(755,root,root) %{_sbindir}/%{name}
%dir %{_datadir}/%{name}
%{_mandir}/man8/%{name}*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/dictdplugin-config
%{_includedir}/dictdplugin.h

%files plugin-dbi
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/dictdplugin_dbi.so

%files plugin-judy
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/dictdplugin_judy.so

%files -n dict
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/dict.conf
%attr(755,root,root) %{_bindir}/colorit
%attr(755,root,root) %{_bindir}/dict
%attr(755,root,root) %{_bindir}/dictl
%{_mandir}/man1/colorit.1*
%{_mandir}/man1/dict.1*
%{_mandir}/man1/dictl.1*

%files -n dictfmt
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/dictfmt*
%attr(755,root,root) %{_bindir}/dictunformat
%{_mandir}/man1/dictfmt*.1*
%{_mandir}/man1/dictunformat.1*

%files -n dictzip
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/dictzip
%{_mandir}/man1/dictzip.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dictd.spec,v $
Revision 1.56.2.3  2007/03/12 01:19:06  glen
- rel 3

Revision 1.56.2.2  2007/03/12 01:09:02  glen
- update to 1.10.4 from HEAD

Revision 1.56.2.1  2006/05/10 21:25:31  radek
- SECURITY release 3: added -umask.patch

Revision 1.56  2005/11/22 18:34:37  glen
- full R: chkconfig; rel 2

Revision 1.55  2005/10/28 23:39:19  qboosh
- updated to 1.10.2 (bugfixes, incl. locales issue in dictfmt)

Revision 1.54  2005/06/09 20:27:08  undefine
- up to 1.10.1

Revision 1.53  2005/04/14 16:24:19  undefine
- up to 1.10.0

Revision 1.52  2005/03/07 18:26:48  darekr
- unified, BR perl-base

Revision 1.51  2004/12/25 14:16:22  undefine
- up to 1.9.15

Revision 1.50  2004/07/26 17:59:13  undefine
- release 2 for AC

Revision 1.49  2004/06/20 21:36:35  arekm
- fix specflags (quotation here is buggy)

Revision 1.48  2004/06/11 13:01:09  undefine
- update to 1.9.14

Revision 1.47  2004/03/26 19:58:01  qboosh
- updated opt patch to use PIC for libmaa; release 4

Revision 1.46  2004/03/25 22:29:48  qboosh
- package judy plugin, release 3

Revision 1.45  2004/03/25 21:47:03  qboosh
- package -devel and -plugin-dbi

Revision 1.44  2004/03/25 21:10:36  undefine
- release 2 for AC

Revision 1.43  2004/03/25 16:53:30  undefine
- update to 1.9.13

Revision 1.42  2004/03/11 19:25:36  undefine
- update to 1.9.12

Revision 1.41  2004/01/17 12:29:36  qboosh
- no reason to obsolete self in dictfmt, simplified Source 0 URL
- release 2 (after files changes)

Revision 1.40  2003/12/10 08:53:14  qboosh
- removed obsolete no_libnsl patch
- use make install, added colorit and dictl scripts to dict

Revision 1.39  2003/12/10 00:51:09  undefine
- update to 1.9.11, commented probably outdated no_nsl patch

Revision 1.38  2003/11/17 21:56:29  undefine
- release 2 to rebuild with ac

Revision 1.37  2003/07/24 13:52:47  undefine
- update to 1.9.10, removed unnecessary ac patches

Revision 1.36  2003/06/28 19:36:24  gotar
- -fomit-frame-pointer on ia32

Revision 1.35  2003/05/28 12:58:50  malekith
- massive attack: source-md5

Revision 1.34  2003/05/25 05:46:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.33  2003/03/21 16:25:00  gotar
- fixed manpages listing in %files

Revision 1.32  2003/03/21 15:12:57  gotar
- upgraded to 1.9.7,
- added dictfmt subpackage.

Revision 1.31  2002/12/26 02:56:03  qboosh
- more specific Requires()
- fixed copy-paste bug in .sysconfig (it isn't nscd)

Revision 1.30  2002/12/25 19:40:25  undefine
- updated to 1.9.1
- adapterized

Revision 1.29  2002/12/07 14:32:49  ankry
- fix improper usage of %{_sysconfdir}

Revision 1.28  2002/09/27 17:20:40  gotar
- changed dictd group from Daemons to Networking/Daemons,
- %config and %verify flags for autoregenerating
  %{_sysconfdir}/%{name}/%{name}-main.conf,
- release 3, STBR.

Revision 1.27  2002/09/17 22:38:37  qboosh
- killed subshell, added ac253 fix, refresh config.* (athlon-ready now)
- release 2

Revision 1.26  2002/09/17 14:04:45  undefine
- upgrade to 1.8.0
- requires libltdl (plugin support)
- new %doc
- patch to allow build on smp machines

Revision 1.25  2002/06/25 08:18:43  undefine
- upgrade to 1.7.1 - some bugfixes
- stbr

Revision 1.24  2002/05/21 23:12:56  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.23  2002/05/05 17:50:18  kloczek
- release 6.

Revision 1.22  2002/04/25 16:11:43  arturs
- fixed a small typo

Revision 1.21  2002/02/23 01:47:49  kloczek
- adapterized.

Revision 1.20  2002/02/22 23:28:48  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.19  2002/01/18 02:12:42  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.18  2001/11/25 23:02:21  undefine
- UID/GID=nobody
- release 5
- STBR

Revision 1.17  2001/11/17 20:35:18  qboosh
- opt,system-zlib patches: use optflags and system zlib
- BuildRequires: bison, zlib-devel
- fixed %post (s/subsystem/subsys/)
- release 4

Revision 1.16  2001/11/07 16:05:43  kloczek
- added no_libnsl patch.

Revision 1.15  2001/11/07 15:03:37  kloczek
- standarize %preun and some cosmetics.

Revision 1.14  2001/10/22 15:42:38  undefine
- removed requires: /bin/cat /bin/ls

Revision 1.13  2001/10/19 14:48:58  undefine
- added BuildRequires: flex
- STB

Revision 1.12  2001/10/10 15:01:49  qboosh
- BuildRequires: autoconf, automake
- release 3

Revision 1.11  2001/09/24 12:19:38  qboosh
- base Prereq: /sbin/chkconfig

Revision 1.10  2001/08/31 14:15:46  undefine
- ac stuff
- remove DUID... i thing that this is unneeded.
- release 2
- STB

Revision 1.9  2001/07/26 05:42:06  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.7  2001/04/30 16:05:16  kloczek
- added using %{rpmcflags} macro.

Revision 1.6  2001/03/17 14:31:06  undefine
- update to 1.5.5
- polish description
- debug ready
- added /etc/dictd
- removed man compressing

Revision 1.5  2000/09/20 01:04:33  kloczek
- updated to 0.9.1,
- switch to using new autoconf/automake suit in %build and %install.

Revision 1.4  2000/08/14 09:17:49  mis
- /etc/dictd.conf is autogenerated from /etc/dictd/* files
- fixed configs perms
- fixed %post/%postun scripts
- release 3

Revision 1.3  2000/07/31 11:59:10  mis
- do not verify size, time and md5sum of config files
- release 2

Revision 1.2  2000/07/19 17:11:29  mis
- at this moment it finished

Revision 1.1  2000/07/10 13:54:48  mis
- initial version (from scratch); NFY (dictd.init needed)
